Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QPaintEngine.Type

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QPaintEngine.Type

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QPaintEngine

    public static final class QPaintEngine.Type

extends java.lang.Enum
implements QtEnumerator

See Also:
  Serialized Form

Field Summary
`static QPaintEngine.Type` | `CoreGraphics` Mac OS X's Quartz2D (`CoreGraphics` )
`static QPaintEngine.Type` | `Direct3D` Windows only, `Direct3D` based engine
`static QPaintEngine.Type` | `MacPrinter`
`static QPaintEngine.Type` | `MaxUser` Last user type ID
`static QPaintEngine.Type` | `OpenGL`
`static QPaintEngine.Type` | `Pdf` Portable Document Format
`static QPaintEngine.Type` | `Picture` `QPicture` format
`static QPaintEngine.Type` | `PostScript`
`static QPaintEngine.Type` | `QuickDraw` Mac OS X's `QuickDraw`
`static QPaintEngine.Type` | `QWindowSystem` Qt for Embedded Linux
`static QPaintEngine.Type` | `Raster`
`static QPaintEngine.Type` | `SVG` Scalable Vector Graphics XML format
`static QPaintEngine.Type` | `User` First user type ID
`static QPaintEngine.Type` | `Windows`
`static QPaintEngine.Type` | `X11`

Method Summary
`static QPaintEngine.Type` | `resolve(int value)` Returns the QPaintEngine$Type constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QPaintEngine.Type` | `valueOf(java.lang.String name)`
`static QPaintEngine.Type[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### X11

    public static final QPaintEngine.Type X11

### Windows

    public static final QPaintEngine.Type Windows

### QuickDraw

    public static final QPaintEngine.Type QuickDraw

  Mac OS X's `QuickDraw`

### CoreGraphics

    public static final QPaintEngine.Type CoreGraphics

  Mac OS X's Quartz2D (`CoreGraphics` )

### MacPrinter

    public static final QPaintEngine.Type MacPrinter

### QWindowSystem

    public static final QPaintEngine.Type QWindowSystem

  Qt for Embedded Linux

### PostScript

    public static final QPaintEngine.Type PostScript

### OpenGL

    public static final QPaintEngine.Type OpenGL

### Picture

    public static final QPaintEngine.Type Picture

  `QPicture` format

### SVG

    public static final QPaintEngine.Type SVG

  Scalable Vector Graphics XML format

### Raster

    public static final QPaintEngine.Type Raster

### Direct3D

    public static final QPaintEngine.Type Direct3D

  Windows only, `Direct3D` based engine

### Pdf

    public static final QPaintEngine.Type Pdf

  Portable Document Format

### User

    public static final QPaintEngine.Type User

  First user type ID

### MaxUser

    public static final QPaintEngine.Type MaxUser

  Last user type ID

Method Detail

### values

    public static QPaintEngine.Type[] values()

### valueOf

    public static QPaintEngine.Type valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QPaintEngine.Type resolve(int value)

  Returns the QPaintEngine$Type constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD